Bug 500263 - Import RHEV kvm fixes added between kvm-83-35.el5ovirt and kvm-83-42.el5ovirt
Import RHEV kvm fixes added between kvm-83-35.el5ovirt and kvm-83-42.el5ovirt
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 18:27 EDT by Eduardo Habkost
Modified: 2009-09-02 05:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: kvm-83-35.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The userspace patches on a single mailbox file (86.09 KB, patch)
2009-05-12 10:39 EDT, Eduardo Habkost
no flags Details | Diff
The kernel patches on a single mailbox file (15.53 KB, patch)
2009-05-12 10:41 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Comment 1 Eduardo Habkost 2009-05-12 10:36:06 EDT
Patches acked:
* Patch: KSM: fix bug 495714
  (Message-Id: <1239726558-14362-6-git-send-email-ieidus@redhat.com>)
  (Message-Id: <1239808529-22398-6-git-send-email-ieidus@redhat.com>)
  (Message-Id: <1240106904-21687-6-git-send-email-ieidus@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: fix extboot from boot with cache=off
  (Message-Id: <20090413135807.GN25543@redhat.com>)
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>

* Patch: KSM: fix bug 495912
  (Message-Id: <1239808529-22398-7-git-send-email-ieidus@redhat.com>)
  (Message-Id: <1239808529-22398-7-git-send-email-ieidus@redhat.com>)
  (Message-Id: <1240106904-21687-7-git-send-email-ieidus@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: KSM: fix 495350 (effective bug)
  (Message-Id: <1240106904-21687-4-git-send-email-ieidus@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: ksm: fix Bug 496668 - stabilaty issue
  (Message-Id: <49EC9D83.4050702@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: Rik van Riel <riel@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>

* Patch: kvm: qemu: drop packet from tap device if all NICs are down
  (Message-Id: <1240412758.7661.28.camel@blaa>)
  - Acked-by: "Yan Vugenfirer" <yvugenfi@redhat.com>
  - Acked-by: Avi Kivity <avi@redhat.com>
  - Acked-by: Dor Laor <dlaor@redhat.com>

* Patch: fix effective bug - 497042
  (Message-Id: <49EEBA02.9010706@redhat.com>)
  - Acked-by: Andrea Arcangeli <aarcange@redhat.com>
  - Acked-by: "Michael S. Tsirkin" <mst@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>

* Patch: kvm: qemu: fixup 4GB+ memslot large page alignment
  - Acked-by: Marcelo Tosatti <mtosatti@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Kevin Wolf <kwolf@redhat.com>

* Patch: Import qemu-io source from upstream
  (Message-Id: <1241018423-27358-2-git-send-email-ehabkost@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>

* Patch: qemu-io: Comment out readv/writev code
  (Message-Id: <1241018423-27358-3-git-send-email-ehabkost@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>

* Patch: Add qemu-io to Makefile and configure
  (Message-Id: <1241018423-27358-4-git-send-email-ehabkost@redhat.com>)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>

* Patch: Fix migration with smp (Bz 485966)
  (Message-Id: <m37i0v7051.fsf@neno.mitica>)
  - Acked-by: Glauber Costa <glommer@redhat.com>
  - Acked-by: Avi Kivity <avi@redhat.com>
  - Acked-by: Gleb Natapov <gleb@redhat.com>
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Rik van Riel <riel@redhat.com>

* Patch: char: Fix closing of various char devices (Jan Kiszka)
  - Acked-by: Kevin Wolf <kwolf@redhat.com>
  - Acked-by: john cooper <john.cooper@redhat.com>
  - Acked-by: Eduardo Habkost <ehabkost@redhat.com>

* Patch: spice: improve audio quality #493279
  (Message-Id: <4A017734.9060002@redhat.com>)
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Arnon Gilboa <agilboa@redhat.com>
  - Acked-by: Yonit Halperin <yhalperi@redhat.com>

* Patch: spice: using term_printf_async for vdi log messages #495578
  (Message-Id: <4A001FB6.4060205@redhat.com>)
  - Acked-by: Zachary Amsden <zamsden@redhat.com>
  - Acked-by: Arnon Gilboa <agilboa@redhat.com>
  - Acked-by: Yonit Halperin <yhalperi@redhat.com>
Comment 2 Eduardo Habkost 2009-05-12 10:39:14 EDT
Created attachment 343587 [details]
The userspace patches on a single mailbox file
Comment 3 Eduardo Habkost 2009-05-12 10:40:27 EDT
Patch posted for review and queued. Changing status to POST
Comment 4 Eduardo Habkost 2009-05-12 10:41:28 EDT
Created attachment 343588 [details]
The kernel patches on a single mailbox file
Comment 9 lihuang 2009-07-19 23:27:26 EDT
patched including : 
- kvm-kernel-KVM-Add-CONFIG_HAVE_KVM_IRQCHIP.patch [bz#500263]
- kvm-kernel-KVM-Interrupt-mask-notifiers-for-ioapic.patch [bz#500263]
- kvm-kernel-KVM-Reset-PIT-irq-injection-logic-when-the-PIT-IRQ-i.patch [bz#500263]
- kvm-kernel-KVM-Fix-overlapping-check-for-memory-slots.patch [bz#500263]
- kvm-kernel-KVM-MMU-Fix-off-by-one-calculating-large-page-count.patch [bz#500263]
- kvm-kernel-KVM-MMU-disable-global-page-optimization.patch [bz#500263]
- kvm-KSM-fix-bug-495714.patch [bz#500263]
- kvm-fix-extboot-from-boot-with-cache-off.patch [bz#500263]
- kvm-KSM-fix-bug-495912.patch [bz#500263]
- kvm-KSM-fix-495350-effective-bug.patch [bz#500263]
- kvm-ksm-fix-Bug-496668-stabilaty-issue.patch [bz#500263]
- kvm-qemu-drop-packet-from-tap-device-if-all-NICs-are.patch [bz#500263]
- kvm-fix-effective-bug-497042.patch [bz#500263]
- kvm-qemu-fixup-4GB-memslot-large-page-alignment.patch [bz#500263]
- kvm-Import-qemu-io-source-from-upstream.patch [bz#500263]
- kvm-qemu-io-Comment-out-readv-writev-code.patch [bz#500263]
- kvm-Add-qemu-io-to-Makefile-and-configure.patch [bz#500263]
- kvm-Fix-migration-with-smp-Bz-485966.patch [bz#500263]
- kvm-char-Fix-closing-of-various-char-devices-Jan-Kiszka.patch [bz#500263]
- kvm-spice-improve-audio-quality-493279.patch [bz#500263]
- kvm-spice-using-term_printf_async-for-vdi-log-messages-4.patch [bz#500263]

setting  to *VERIFIED*
Comment 11 errata-xmlrpc 2009-09-02 05:32:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1272.html

Note You need to log in before you can comment on or make changes to this bug.